      subroutine pol3(x,y,z,v3)
c
c   $RCSfile: pol3.f,v $ $Revision: 1.3 $
c   $Date: 89/08/07 09:11:23 $
c   $State: Stable $
c


c            P U R P O S E   O F    S U B R O U T I N E
 
 
c            I N P U T    A R G U M E N T S
 
c            O U T P U T    A R G U M E N T S
 
c <><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
 

      implicit  none

c            L O G I C A L S
      

c            I N T E G E R S
       

      integer iexp, jexp, kexp, nt, i, ii, ix, jx, kx 

c            R E A L S

      real*8 de1, de2, de3, re1, re2, re3, b1, b2, b3, coef, 
     >   x, y, z, v3, tx, ty, tz, ex, exp, ey, ez, 
     >   w


c            D I M E N S I O N S

      dimension tx(6),ty(6),tz(6)

c            C O M M O N S
       common/b21/de1,de2,de3,re1,re2,re3,b1,b2,b3
      common/b23/ coef(65),iexp(65),jexp(65),kexp(65),nt

c            I N T R I N S I C    F U N C T I O N S
c            E X T E R N A L S

c
c
      tx(1)=1.d0
      ty(1)=1.d0
      tz(1)=1.d0
       ex=exp(-b1*(x-re1))
       ey=exp(-b2*(y-re2))
       ez=exp(-b3*(z-re3))
      do 10 i=2,6
      ii=i-1
       tx(i)=tx(ii)*ex
       ty(i)=ty(ii)*ey
       tz(i)=tz(ii)*ez
   10 continue
      w=0.d0
      do 20 i=1,nt
      ix=iexp(i)
      jx=jexp(i)
      kx=kexp(i)
      w=w+coef(i)*tx(ix)*ty(jx)*tz(kx)
   20 continue
      v3=w
      return
      end
